TopologicalTorsionGenerator.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Fingerprints/FingerprintGenerator.h>`
`#include <GraphMol/Fingerprints/FingerprintUtil.h>`

Go to the source code of this file.

## Classes

class | RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >
class | RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >
class | RDKit::TopologicalTorsion::TopologicalTorsionEnvGenerator< OutputType >

## Namespaces

| RDKit
| Std stuff.
| RDKit::TopologicalTorsion

## Functions

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > *

RDKit::TopologicalTorsion::getTopologicalTorsionGenerator (const bool includeChirality=false, const uint32_t torsionAtomCount=4, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, const bool countSimulation=true, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const std::uint32_t fpSize=2048, const bool ownsAtomInvGen=false)

| Get the Topological Torsion Generator object. More...